import { EventEmitter } from "@angular/core";
import { Icon } from "../../../enum/icon.enum";
import { IconCacheService } from "../../../service/icon-cache.service";
export declare class DialogHeaderSearchComponent {
    iconCacheService: IconCacheService;
    set title(value: string);
    get title(): string;
    icon?: Icon;
    search: EventEmitter<string>;
    showClass(): boolean;
    searchPlaceholder: string;
    readonly icons: typeof Icon;
    private _title;
    constructor(iconCacheService: IconCacheService);
    handleSearch(text: string): void;
}
